This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 817805 - [eap6] JAXR subsystem has wrong resource configuration exposed
[eap6] JAXR subsystem has wrong resource configuration exposed
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: as7-plugin 821858
  Show dependency treegraph
 
Reported: 2012-05-01 07:16 EDT by Stefan Negrea
Modified: 2013-08-31 06:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 821858 (view as bug list)
Environment:
Last Closed: 2013-08-31 06:17:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-05-01 07:16:29 EDT
The JAXR subsystem has outdated resource configuration exposed. The current configuration has a different set of properties and no children. This is due to changes the API between ER versions (from the time the subsystem was initially added to ER6).

The current set of properties: 
<c:simple-property name="connection-factory" required="false" type="string" readOnly="false" description="The JNDI name for the ConnectionFactory"/>
<c:simple-property name="publish-url" required="false" type="string" readOnly="false" description="The jUDDI server publish URL"/>
<c:simple-property name="query-url" required="false" type="string" readOnly="false" description="The jUDDI server query URL"/>

No subresources available in the plugin.


From the EAP cli:
[standalone@localhost:9999 subsystem=jaxr] pwd
/subsystem=jaxr

[standalone@localhost:9999 subsystem=jaxr] :read-resource-description
"attributes" => {
  "jndi-name" => {
     "type" => STRING,
     "description" => "The JNDI name under which the JAXR ConnectionFactory is bound",
     "expressions-allowed" => false,
     "nillable" => true,
     "min-length" => 1L,
     "max-length" => 2147483647L,
     "access-type" => "read-write",
     "storage" => "configuration",
     "restart-required" => "no-services"
   },
   "class" => {
     "type" => STRING,
     "description" => "The JAXR ConnectionFactory implementation class",
     "expressions-allowed" => false,
     "nillable" => true,
     "min-length" => 1L,
     "max-length" => 2147483647L,
     "access-type" => "read-write",
     "storage" => "configuration",
     "restart-required" => "no-services"
   }
}

"children" => {"property" => {
    "description" => "A JAXR property. The identity of the resource defines the property name.",
    "model-description" => undefined
}
Comment 1 Heiko W. Rupp 2012-05-02 08:56:50 EDT
Not exposed in console
Comment 2 Stefan Negrea 2012-05-14 16:10:28 EDT
Updated resource definition for JAXR subsystem to match current server definition.

master branch commit:
http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=cea93bf5f746a91e1d2a16a90d7767c2956c0034
Comment 3 Armine Hovsepyan 2012-07-26 09:00:34 EDT
verified.

No subsystem is visible under jaxr subsystem. Propery with class and jndi-name are visible and configurable.

version: RHQ-1.5.0, EAP6 ER6
Comment 4 Heiko W. Rupp 2013-08-31 06:17:15 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.